function tRandom(t)
	local values = {}
	for i=1, #t do
		local n = #values+1
		table.insert(values,math.random(n),t[i])
	end
	return values
end

town = tRandom({1,2,3,4,5,6,7,8})

function love.load()
	ground = love.graphics.newImage("animalcrossingstage.png")
end

scroll = 0
function love.update(dt)
	local speed = 400
	if love.keyboard.isDown("left") then
		scroll = scroll + (speed*dt)
	elseif love.keyboard.isDown("right") then
		scroll = scroll - (speed*dt)
	end
end

function love.keypressed(k)
	if k == "escape" then
		love.event.push('q')
	end
end

function love.draw()
	for i=1, 8 do
		love.graphics.draw(ground,(scroll+(i*800))-500,0,0,(800/480),(600/360))
	end
	
	font = love.graphics.newFont(24)
	love.graphics.setFont(font)
	for i=1, #town do
		love.graphics.print(town[i],i*12,100)
	end
end